# Summary

- [Architecture: Modules](./architecture.md)
    - [Programming Style](./paradigms.md)
    - [Exceptions](./exceptions.md)
    - [Events](./events.md)
    - [Database](./database.md)
    - [Cache](./cache.md)
    - [Routes and Controllers](./routes_and_controllers.md)
    - [Templates](./templates.md)
    - [Internationalization](./internationalization.md)
    - [Log](./log.md)
    - [Queues](./queues.md)
    - [Files](./files.md)
    - [Security](./security.md)
    - [HTTP](./http.md)
- [Plugins](./plugins.md)
    - [Configuration](./plugins/configuration.md)
    - [Initialization and Clean Up](./plugins/lifetime.md)
- [Debugging](./debugging.md)
- [Sample Plugins](./sample_plugins.md)
    - [Injecting Javascript](plugins/sample_plugins/Awesomeness.md)
    - [Creating a block on the sidebar](plugins/sample_plugins/Sample.md)
- [Components](./components.md)
- [Core](./core.md)
    - [Overview](./core/overview.md)
    - [Modules](./core/modules.md)
    - [Event dispatcher](./core/event-dispatcher.md)
    - [ORM and Caching](./core/orm_and_caching.md)
    - [Interfaces](./core/interfaces.md)
    - [UI](./core/ui.md)
    - [Internationalization](./core/internationalization.md)
    - [Utils](./core/util.md)
    - [Queues](./core/queues.md)
    - [Files](./core/files.md)
    - [Security](./core/security.md)
    - [HTTP Client](./core/http.md)
    - [Exception handling](./core/exception_handler.md)